# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(DynaLoader.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(Glib/MakeHelper.pm) perl(Gtk2/CodeGen.pm) perl(Gtk2/TestHelper.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(YAML/Tiny.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name	 Gtk2-Phat
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt7_20

Summary:	Perl interface to the Phat widget collection
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:	perl(Gtk2.pm)
BuildRequires:	perl(Glib.pm)
BuildRequires:	perl(ExtUtils/Depends.pm)
BuildRequires:	perl(ExtUtils/PkgConfig.pm)
BuildRequires:	perl(inc/Module/Install.pm)
BuildRequires:	pkgconfig(phat)
BuildRequires:	gtk+2-devel
Source44: import.info

%description
This module allows a perl developer to access the widgets of the Phat widget 
collection which is geared toward pro-audio apps. The goal is to eliminate 
duplication of effort and provide some standardization.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
export PERL_USE_UNSAFE_INC=1
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_archlib}/Gtk2
%{perl_vendor_archlib}/auto/Gtk2


%changelog
* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt7_20
- rebuild to get rid of unmets

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt6_20
- rebuild to get rid of unmets

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt5_20
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.08-alt4_20
- rebuild with perl 5.30

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt3_20
- rebuild to get rid of unmets

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.08-alt2_20
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.08-alt2_19
- update by mgaimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.08-alt2_18
- rebuild with perl 5.26

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1_18
- update by mgaimport

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1_17
- update by mgaimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1_15
- update by mgaimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt6_14
- rebuild to get rid of unmets

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.08-alt5_14
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.08-alt5_13
- update by mgaimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt5_12
- rebuild to get rid of unmets

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 0.08-alt4_12
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt4_11
- update by mgaimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt4_10
- rebuild to get rid of unmets

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt3_10
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt3_9
- rebuild to get rid of unmets

* Wed Jun 25 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt2_9
- update by mgaimport

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt2_8
- mga update

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 0.08-alt2_7
- rebuild with new perl

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1_7
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1_4
- converted for ALT Linux by srpmconvert tools

